package com.adlerosn.brasilfurfest

import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import com.adlerosn.brasilfurfest.helper.resourcesAliased
import com.adlerosn.brasilfurfest.notification.NotificationFirer
import com.adlerosn.brasilfurfest.schedule.RoomPartyPreviewerActivity
import com.adlerosn.brasilfurfest.schedule.managers.FullUpdateCheckerCancellable
import com.adlerosn.brasilfurfest.updater.startup.UpdaterActivity

//Entry point
class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        FullUpdateCheckerCancellable(baseContext).run { NotificationFirer().fire(baseContext) }
        resourcesAliased = this.resources
        when {
            (this.intent != null) && (this.intent?.data?.path?.startsWith("/app/roomparty") ?: false) ->
                startActivity(Intent(this, RoomPartyPreviewerActivity::class.java).apply {
                    data = this@MainActivity.intent?.data
                    flags = Intent.FLAG_ACTIVITY_NEW_TASK or Intent.FLAG_ACTIVITY_TASK_ON_HOME
                })
            else ->
                startActivity(Intent(this, UpdaterActivity::class.java).apply {
                    flags = Intent.FLAG_ACTIVITY_NEW_TASK or Intent.FLAG_ACTIVITY_TASK_ON_HOME
                })
        }
        finish()
    }
}
