package com.adlerosn.brasilfurfest.helper

import android.database.DataSetObserver
import com.adlerosn.brasilfurfest.helper.observables.Observable
import com.adlerosn.brasilfurfest.helper.observables.Observer

class ObserverDataSetObserverAdapter {
    val convertedObservers: MutableMap<DataSetObserver, Observer<Observable<Any?>, Any?>> = mutableMapOf()

    operator fun get(dataSetObserver: DataSetObserver): Observer<Observable<Any?>, Any?> {
        if (dataSetObserver !in convertedObservers){
            convertedObservers[dataSetObserver] = Observer { _, _ -> dataSetObserver.onChanged() }
        }
        return convertedObservers[dataSetObserver]!!
    }
    fun remove(dataSetObserver: DataSetObserver) = convertedObservers.remove(dataSetObserver)
}
