package com.adlerosn.brasilfurfest.schedule.abstractDataTypes.dataholder

import com.adlerosn.brasilfurfest.helper.Language
import com.adlerosn.brasilfurfest.helper.solved
import com.adlerosn.brasilfurfest.schedule.abstractDataTypes.GregorianCalendarRange
import com.adlerosn.brasilfurfest.schedule.abstractDataTypes.convention.Event
import com.adlerosn.brasilfurfest.schedule.abstractDataTypes.convention.Place
import com.adlerosn.brasilfurfest.schedule.abstractDataTypes.convention.Tag
import com.adlerosn.brasilfurfest.schedule.abstractDataTypes.managed.AttendeeConFavorite

class PeekableEvent(
        val title: Map<Language, String>,
        val timeRange: GregorianCalendarRange,
        val subtitles: Map<Language, String>?,
        val descriptions: Map<Language, String>?,
        val places: List<Place>?,
        val language: Language?,
        val tags: List<Tag>?,
        val id: String?
){
    fun similarEnough(favorite: AttendeeConFavorite): Boolean =
            title.solved == favorite.getString()
                    && timeRange == favorite.timeRange

    constructor(
            attendeeConFavorite: AttendeeConFavorite
    ) : this(
            FakeMap(attendeeConFavorite.getString()),
            attendeeConFavorite.timeRange,
            null,
            null,
            null,
            null,
            null,
            null
    )

    constructor(
            event: Event
    ) : this(
            event.titles,
            event.timeRange,
            event.subtitles,
            event.descriptions,
            event.places,
            event.language,
            event.tags,
            event.conbookId
    )

    val isCustom get() = id.isNullOrBlank()
}