package com.adlerosn.brasilfurfest.schedule.fragments

import android.os.Bundle
import androidx.fragment.app.Fragment
import androidx.recyclerview.widget.LinearLayoutManager
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.adlerosn.brasilfurfest.R
import com.adlerosn.brasilfurfest.helper.ActivitiesForFragments
import com.adlerosn.brasilfurfest.schedule.adapters.ConventionRulesAdapter
import com.adlerosn.brasilfurfest.schedule.managers.ScheduleManagerGetter
import kotlinx.android.synthetic.main.fragment_rules_list.view.*

class ConventionRulesFragment: Fragment() {
    companion object {
        fun newInstance(): Fragment {
            return ConventionRulesFragment().apply {
                arguments = Bundle()
            }
        }
    }

    val safeActivity = ActivitiesForFragments["ScheduleActivity"]!!
    val scheduleManager = ScheduleManagerGetter[safeActivity]
    val convention = scheduleManager.convention

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        return inflater.inflate(R.layout.fragment_rules_list, container, false).apply {
            rulesRecyclerView.adapter = ConventionRulesAdapter(convention)
            rulesRecyclerView.layoutManager = LinearLayoutManager(context)
        }
    }
}