package com.adlerosn.brasilfurfest.schedule.fragments

import android.os.Bundle
import androidx.fragment.app.Fragment
import androidx.recyclerview.widget.LinearLayoutManager
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.adlerosn.brasilfurfest.R
import com.adlerosn.brasilfurfest.helper.ActivitiesForFragments
import com.adlerosn.brasilfurfest.helper.inflate
import com.adlerosn.brasilfurfest.schedule.managers.ScheduleManager
import com.adlerosn.brasilfurfest.schedule.abstractDataTypes.convention.Convention
import com.adlerosn.brasilfurfest.schedule.adapters.ConventionSocialMediasAdapter
import com.adlerosn.brasilfurfest.schedule.managers.ScheduleManagerGetter
import kotlinx.android.synthetic.main.fragment_socialmedia_list.view.*

class ConventionSocialMediasFragment : Fragment() {
    companion object {
        fun newInstance(): Fragment {
            return ConventionSocialMediasFragment().apply {
                arguments = Bundle()
            }
        }
    }

    val safeActivity = ActivitiesForFragments["ScheduleActivity"]!!
    val convention = ScheduleManagerGetter[safeActivity].convention

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        return inflater.inflate(R.layout.fragment_socialmedia_list).apply {
            socialMedias.adapter = ConventionSocialMediasAdapter(convention)
            socialMedias.layoutManager = LinearLayoutManager(context)
        }
    }
}