package com.adlerosn.brasilfurfest.updater.startup

import android.content.ComponentName
import android.content.ServiceConnection
import android.os.IBinder

class UpdateServiceConnection(private val callOnConnected: ()->Any?): ServiceConnection {
    var connected = false
    var updaterService: UpdaterService? = null
    override fun onServiceConnected(name: ComponentName?, service: IBinder) {
        val binder = service as UpdateBinder
        updaterService = binder.service
        connected = true
        callOnConnected()
    }

    override fun onServiceDisconnected(name: ComponentName?) {
        connected = false
        updaterService = null
    }
}